import React, { useEffect, useMemo, useState } from 'react'
import Taro from "@tarojs/taro";
import { useSelector } from 'react-redux'
import { View, Input, Text, Image, Form } from '@tarojs/components'
import Layout from '../../../layout/index'
import Tab from '../../../compents/tab/index'
import Container from '../../../compents/container/index'
import locationicon from '../../../assets/locationicon.png'
import uploadicon from '../../../assets/uploadicon.png'
import './index.scss'

const index = (props) => {

    const page = useSelector(state => state.page)

    const user = useSelector(state => state.user)

    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('1')
    const [list, setList] = useState([])
    useEffect(() => {

        console.log(page, 'page')
        setList([
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            },
            {
                name: 'zhou',
                phone: '177'
            }
        ])
    }, [])


    const onTabClick = (e) => {
        console.log(e, '111')
        setUserRole(e)
    }

    const onRegisterChange = (e) => {
        console.log(e, '111')
    }
    const onSave = () => {
        console.log(333)

        Taro.showModal({
            title: '修改成功',
            content: '点击确认按钮，返回上级菜单',
            showCancel: false,
            success: function (res) {
                if (res.confirm) {
                    console.log('用户点击确定')

                    Taro.navigateBack({
                        delta: 1
                    })
                } else if (res.cancel) {
                    console.log('用户点击取消')
                }
            }
        })
    }

    const onChooseLocation = () => {
        console.log(333)
        wx.chooseLocation({
            success: (res) => {
                console.log(res)
            }
        })
    }
    const formSubmit = (e) => {
        console.log(e, 'formSubmit')
    }

    const formReset = () => {
        console.log('formReset')
    }

    return <View className='addnewhouse'>


        {/* <Form onSubmit={this.formSubmit} onReset={this.formReset} >
        <View className='example-body'>
          <Switch name='switch' className='form-switch'></Switch>
        </View>
      </Form> */}

        <Layout>
            <Form onSubmit={formSubmit} onReset={formReset}>
                <View className='inputstyle-view'>
                    <Text className='title'>系统账号</Text>
                    <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                        <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>姓名</Text>
                    <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                        <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>电话</Text>
                    <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                        <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>微信号</Text>
                    <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                        <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>房源数</Text>
                    <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                        <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='' />
                    </Container>
                </View>
                <View className='inputstyle-view'>
                    <Text className='title'>logo</Text>
                    <Container className='inputstyle-view-card ' style={{ borderRadius: '20rpx', padding: '0 40rpx' }} >
                        <Image className='guide-view-img' mode='widthFix' onClick={() => wx.chooseImage({
                            count: 1,
                            sizeType: ['original', 'compressed'],
                            sourceType: ['album',],
                            success: (res) => {
                                // tempFilePath可以作为img标签的src属性显示图片

                                console.log(res)
                                // const tempFilePaths = res.tempFilePaths
                                // setImgurl(tempFilePaths[0])
                            }
                        })} src={uploadicon || "https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=1657471424,2319316184&fm=26&gp=0.jpg"}></Image>
                        {/* <Input placeholderClass='placeholderinput' className='input' type='text' placeholder='小区/写字楼/大厦等' /> */}
                    </Container>
                </View>
            </Form>

        </Layout>
        <Tab className='addhousetab' pageState='3' value={['取消', '确认修改']} onClick={[(e) => Taro.navigateBack({
                        delta: 1
                    }), () => onSave()]}></Tab>





    </View>
}

export default index