import React, { useEffect, useMemo, useState, useRef } from 'react'
import Taro from '@tarojs/taro'
import './index.scss'
import { View, Text, Input, Image } from '@tarojs/components'
import ContainerLayout from '../../compents/container/index'
import Tab from '../../compents/tab/index'
import Layout from '../../layout/index'

const house = (props) => {

  const [list, setList] = useState([])
  const [radioHouse, setRadioHouse] = useState()

  const ref = useRef();
  useEffect(() => {
    ref.current = 3;
  });



  const radioHouseState = useMemo(() => props.radioHouseState, [props.radioHouseState])
  wx.setNavigationBarTitle({
    title: '民宿房源管理'
  })
  console.log(props, radioHouseState)
  useEffect(() => {
    setList([
      {
        id: 1,
        name: 'zhou',
        phone: '177',
        user: {
          name: '张三',
          phone: '17777777777',
          wxid: 'hhh',
          number: '3'
        }
      },
      {
        id: 2,
        name: 'zhou',
        phone: '177',
        user: {
          name: '张三',
          phone: '17777777777',
          wxid: 'hhh',
          number: '3',
          user: {
            name: '张三',
            phone: '17777777777',
            wxid: 'hhh',
            number: '3'
          }
        }
      },
      {
        id: 3,
        name: 'zhou',
        phone: '177',
        user: {
          name: '张三',
          phone: '17777777777',
          wxid: 'hhh',
          number: '3',
          user: {
            name: '张三',
            phone: '17777777777',
            wxid: 'hhh',
            number: '3'
          }
        }
      }
    ])
  }, [])

  const onDelete = () => {
    Taro.showModal({
      title: '确定删除该老板账号吗',
      content: '确定后，该老板房源信息将一并删除',
      cancelColor:'#d2d2d2',
                confirmColor:"#274191",
      success: function (res) {
        if (res.confirm) {
          console.log('用户点击确定')

         
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  }




  return <View className='account'>
    <Layout>
      {list.map((x, index) => {
        return <View className='account-view'>
          <Text className='account-view-title'>房源编号：{index + 1}</Text>
          <ContainerLayout className='account-view-card'>
            <View className='top' onClick={() => { if (!radioHouseState) Taro.navigateTo({ url: `/pages/house/index?=${x.id}` }) }}>
              <View>姓名：{x.user.name}</View>
              <View>电话：{x.user.name}</View>
              <View>微信号：{x.user.name}</View>
              <View>房源数：{x.user.name}</View>
            </View>
            <View className='bottom'>
              <Text onClick={() => { Taro.navigateTo({ url: `/pages/account/edit/index?=${x.id}` }) }}>编辑</Text>
              <Text onClick={onDelete}>删除</Text>
            </View>
          </ContainerLayout>

        </View>

      })}
    </Layout>
    {/* onClick={(e)=>(e) */}
    <Tab value={['+新增名宿老板账号']} color='#ffffff' onClick={() => { Taro.navigateTo({ url: `/pages/account/edit/index` }) }} ></Tab>
  </View>
}

export default house