import React, { useEffect, useMemo, useState } from 'react'
import { useSelector } from 'react-redux'
import { View, ScrollView } from '@tarojs/components'
import Tab from '../../../compents/tab/index'
import Guide from '../../guide/index'
import Recommend from '../../recommend/index'
import './index.scss'

const houseadd = (props) => {

  const user = useSelector(state => state.user)

  const [userRole, setUserRole] = useState('guide')
  const [pageState, SetPageState] = useState('1')
  const [list, setList] = useState([])
  useEffect(() => {
    setList([
      {
        name: 'zhou',
        phone: '177'
      },
      {
        name: 'zhou',
        phone: '177'
      },
      {
        name: 'zhou',
        phone: '177'
      }
    ])
  }, [])


  const onTabClick = (e) => {
    console.log(e, '111')
    setUserRole(e)
  }

  const onRegisterChange = (e) => {
    console.log(e, '111')
  }


  return <View className='index'>
    <ScrollView scrollY style={{ height: 'calc(100vh - 180rpx)' }} >
    <View className='page-container' >
        <View className='house-add'>
        


            <View>
              {userRole == 'guide' && <Guide userRole={userRole} />}
              {userRole == 'recommend' && <Recommend userRole={userRole} />}
            </View>

        </View>

      </View>
    </ScrollView>
    <Tab value={userRole} onClick={(e) => onTabClick(e)}></Tab>
  </View>
}

export default houseadd