import React, { useEffect, useMemo, useState } from 'react'
import Taro,{useRouter} from '@tarojs/taro'
import { useSelector, useDispatch } from 'react-redux'
import { View, ScrollView } from '@tarojs/components'
import Tab from '../../compents/tab/index'
import Customer from '../customer/index'
import Landlord from '../landlord/index'
import roleList from '../../util/userRole'
import './index.scss'
import request from '../../util/request'
import GetPhone from '@/compents/getPhone'
const index = (props) => {


  const router = useRouter()

  const { houseId ,orderId} = router.params
  const user = useSelector(state => state.user)

  console.log(user)

  const dispatch = useDispatch()

  // const [userRole, setUserRole] = useState('1')
  // const [pageState, SetPageState] = useState('1')
  // const [list, setList] = useState([])
  // const [visible, setVisible] = useState(false)
  const [showAuthPhone, setShowAuthPhone] = useState(false)

  useEffect(() => {
    setShowAuthPhone(!user.phone)
  }, [user.phone])

  const onOk = (res) => {
    dispatch({ type: 'LOGIN', user: res.data.data })
    setShowAuthPhone(false)
  }

  const onCancel = (e) => {
    setShowAuthPhone(false)
  }

  return <View className='index'>

    {user.personId && <View>
      <GetPhone visible={showAuthPhone} onOk={onOk} onCancel={onCancel} ></GetPhone>
      {user.role == roleList.customer &&!showAuthPhone&& <Customer houseId={houseId} orderId={orderId}></Customer>}
      {user.role == roleList.landlord &&!showAuthPhone&& <Landlord ></Landlord>}
    </View>}





    {/* {userRole == 1 ? <Register userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></Register> :
          <View>userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}
            {(userRole == 'guide' || userRole == 2) && <Guide userRole={userRole}/>}
            {userRole == 'recommend' && <Recommend userRole={userRole}/>}
          </View>
        }
        {userRole == 2 ? <Register userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></Register> :
          <View>
            {(userRole == 'guide' || userRole == 2) && <Guide userRole={userRole}/>}
            {userRole == 'recommend' && <Recommend userRole={userRole}/>}
          </View>
        }
     <HouseLIst userRole={userRole} list={list} onChange={(e) => onRegisterChange(e)}></HouseLIst>  */}



    {/* </View>
    </ScrollView>
    <Tab value={userRole} onClick={(e) => onTabClick(e)}></Tab> */}
  </View>
}

export default index