import React, { useEffect, useState } from 'react'
// import { useEffect, useLayoutEffect, useReducer, useState, useContext, useRef, useCallback, useMemo } from '@tarojs/taro'
import Taro, { useDidShow,useRouter } from "@tarojs/taro";
import { useSelector, } from 'react-redux'
import { View, Input, Text, Image } from '@tarojs/components'
import Layout from '../../layout/index'
import Tab from '../../compents/tab/index'
import Container from '../../compents/container/index'
import locationicon from '../../assets/locationicon.png'
import Tags from '../../compents/tags/index'
import './index.scss'
import request from '../../util/request'
import groupby from 'lodash.groupby';
// Page({
//     data: {
//         text: 'init data',
//         array: [{ msg: '1' }, { msg: '2' }]
//     }
// })

const index = (props) => {
    const router = useRouter()

    const { houseId } = router.params
    const user = useSelector(state => state.user)

    const [userRole, setUserRole] = useState('1')
    const [pageState, setPageState] = useState('0')
    const [list, setList] = useState([])
    const [labelList, setLabelList] = useState([])
    const [arrList, setArrList] = useState({})
    
    useEffect(() => {



    }, [])

    useDidShow(() => {
        getMateTagGroupList()
    })


    const getMateTagGroupList = () => {
        request({ url: '/taMateTagGroup', params: { pageSize: 1, pageSize: 9999 } }).then((res) => {
            const { records, ...page } = res.data.data
            setList(records)
        })
    }

    const onSearch = () => {
        console.log(333)
        // getImageList()

        Taro.navigateTo({url:`/pages/addimg/index?tagIds=${labelList.map(x => x.tagId).join(',')}&houseId=${houseId}`})
    }

    const onLabelChange = (e, index) => {

        
        let newArrArrList={
            ...arrList,
            [index]: e
        }
        setArrList(newArrArrList)
        console.log(newArrArrList, 'arrList')
        let newArr = Object.values(newArrArrList).reduce((pre, cur) => {

            return pre.concat(cur)

        }, [])
        setLabelList(newArr)
        console.log(newArr, 'newArr')
    }

    return <View className='material'>
        <View style={{ display: pageState == 1 ? 'none' : 'block' }}>
            <Layout>
                {
                    list.map((item, index) => {
                        return <View className='material-card' key={index}>
                            <Text>{item.name}</Text>
                            <Tags list={item.taMateTagList} onChange={(e) => onLabelChange(e, index)} > </Tags>
                        </View>
                    })
                }
            </Layout>
            <Tab pageState='3' value={['取消', '开始查询']} onClick={[(e) => Taro.navigateBack({
                delta: 1
            }), (e) => onSearch()]}></Tab>
        </View>


        {pageState == '1' && <><Layout>
            12222222
        </Layout>
            <Tab pageState='3' value={['取消', '确认']} onClick={[(e) => setPageState('2'), (e) => setPageState('3')]}></Tab></>}
    </View>
}

export default index